repa-3.2.3.3: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None

Data.Array.Repa.Repr.HintInterleave

Synopsis

- data I r1
- hintInterleave :: Array r1 sh e -> Array (I r1) sh e

# Documentation

data I r1 Source

Hints that computing this array will be an unbalanced workload and evaluation should be interleaved between the processors.

Instances

Source r1 a => Source (I r1) a |
(Shape sh, Load D sh e) => Load (I D) sh e |
Structured r1 a b => Structured (I r1) a b |
Read (Array r1 sh e) => Read (Array (I r1) sh e) |
Show (Array r1 sh e) => Show (Array (I r1) sh e) |

hintInterleave :: Array r1 sh e -> Array (I r1) sh eSource

Wrap an array with a unbalanced-ness hint.